<?php

function cxp_pro()
{
require('../cfg/res.php');
	
	$xacceso=0;
$sql_acce='select * from usrdoc1 where (docu like "FP%" or docu like "EE%" or docu like "CH%") and cons="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)>=2){$xacceso=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Cuentas X Pagar ' );}	
	
	
mysql_query("SET NAMES 'utf8'");

$fini1= date('2000-01-01');
$sql_fini1='select * from empr0';
$res_fini1=mysql_query($sql_fini1,$link_vcrx);
$fini1=mysql_result($res_fini1,0,'empr_fcxpa');

$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1= date('Y-m-'.'01');

$xfecha1=$fini1;	
$xfecha2= date('Y-m-d');

$xfposi='true';
$xfnega='true';
$xforde='N';	
$xfrepo='S';
?>



<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>

function list_codigo(idtxt,tabla,list_cod,list_desc)
{
		document.getElementById(idtxt).value=document.getElementById(idtxt+'_codi2').value;
// 		list_carga(tabla,document.getElementById(list_cod).value,document.getElementById(list_desc).value);
		list_carga(tabla,list_cod,list_desc);
// 		_<?php echo $pidtxt ?>_valcod(e)
}
	
	
function cxppro1d(entix,repox,obj)
{
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';
document.getElementById('cxppro2').innerHTML='Cargando datos...';

$.ajax({
  url:'../lib/vrcxppro1d.php',
  type:'POST',
  data:{enti:entix,frepo:repox,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
  success:function(dato){
  document.getElementById('cxppro2').innerHTML=dato;
  },
  error:function(objeto){console.log(objeto);}

});

}



function cxppro_id(entix,obj)
{
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';
document.getElementById('cxppro2').innerHTML='Cargando datos...';

$.ajax({
  url:'../lib/impr_cxppro1d.php',
  type:'POST',
  data:{enti:entix,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
  success:function(dato){
  document.getElementById('cxppro2').innerHTML=dato;
  },
  error:function(objeto){console.log(objeto);}

});

}


function redireccionar() 
{

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

var fposi=document.getElementById('fposi').checked;
var fcero=document.getElementById('fcero').checked;
var fnega=document.getElementById('fnega').checked;


var frepom=document.getElementById('frepom').checked;
var frepor=document.getElementById('frepor').checked;
var frepoa=document.getElementById('frepoa').checked;
	
var fordec=document.getElementById('fordec').checked;
var forden=document.getElementById('forden').checked;
var fordet=document.getElementById('fordet').checked;
var fordev=document.getElementById('fordev').checked;

var fenti=document.getElementById('fenti').value;
var ftpro=document.getElementById('ftpro').value;
var fcdad=document.getElementById('fcdad').value;

var forde='N';
if (fordec){forde='C';}
if (forden){forde='N';}
if (fordet){forde='T';}
if (fordev){forde='V';}

var frepo='S';
if (frepom){frepo='S';}
if (frepor){frepo='R';}
if (frepoa){frepo='A';}
	

// pagina="?opt=<?php echo $_GET['opt']?>" 
// +"&fecha_ini="+fecha_ini 
// +"&fecha_fin="+fecha_fin 
// +"&fposi="+fposi
// +"&fcero="+fcero
// +"&fnega="+fnega
// +"&frepo="+frepo
// +"&forde="+forde
// +"&fenti="+fenti 
// +"&fcdad="+fcdad 
// +"&ftpro="+ftpro; 
	document.body.style.cursor='wait';
document.getElementById('cxppro1').innerHTML='Cargando datos...';

	$.ajax({
		cache:false,
		url:'vrcxppro2.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		fecha_ini:fecha_ini,
		fecha_fin:fecha_fin,
		fposi:fposi,
		fcero:fcero,
		fnega:fnega,
		frepo:frepo,
		forde:forde,
		fenti:fenti,
		fcdad:fcdad,
		ftpro:ftpro},
    	beforeSend: function(jqXHR, textStatus)
		{
	                  
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
		document.getElementById('cxppro1').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {
	              console.log('Not connect: Verify Network.');
		           } else if (jqXHR.status == 404) {
	               console.log('Requested page not found [404]');
		           } else if (jqXHR.status == 500) {
	               console.log('Internal Server Error [500].');
		           } else if (exception === 'parsererror') {
	               console.log('Requested JSON parse failed.');
		           } else if (exception === 'timeout') {
	               alert('Servidor no Responde');
		           } else if (exception === 'abort') {
	               console.log('Ajax request aborted.');
		           } else {
	               console.log('Uncaught Error: ' + jqXHR.responseText);
           			}
			
			
		   

		}, 
		complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success')
	        {
				    				    	
			}
		},
		timeout:300000
	});

	document.body.style.cursor='auto';

	
	
//location.href=pagina;
} 



function imprimirlista(xenti) 
{

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

var fposi=document.getElementById('fposi').checked;
var fcero=document.getElementById('fcero').checked;
var fnega=document.getElementById('fnega').checked;


var frepom=document.getElementById('frepom').checked;
var frepor=document.getElementById('frepor').checked;
var frepoa=document.getElementById('frepoa').checked;
	
	
var fordec=document.getElementById('fordec').checked;
var forden=document.getElementById('forden').checked;
var fordet=document.getElementById('fordet').checked;
var fordev=document.getElementById('fordev').checked;

var ftpro=document.getElementById('ftpro').value;
var fcdad=document.getElementById('fcdad').value;
var fenti=document.getElementById('fenti').value;

if (xenti.length>0){fenti=xenti;}	
	
var forde='N';
if (fordec){forde='C';}
if (forden){forde='N';}
if (fordet){forde='T';}
if (fordev){forde='V';}

var frepo='S';
if (frepom){frepo='S';}
if (frepor){frepo='R';}
if (frepoa){frepo='A';}
	

pagina="../lib/impr_cxppro0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fposi="+fposi
+"&fcero="+fcero
+"&fnega="+fnega
+"&frepo="+frepo
+"&forde="+forde
+"&fenti="+fenti 
+"&fcdad="+fcdad 
+"&ftpro="+ftpro; 

window.open(pagina);
} 


</script>


<div style=" max-height:100px; overflow-y:scroll; margin-top:5px;">


<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table><caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	</table>
	
</th>


<!-- <th> -->
<th style ="border-left:solid 1px;">
<div align="center">
<span>SALDOS</span>
</div>

<div>
<input type="checkbox" id="fposi" name="fposi" <?php if($xfposi=='true'){echo 'checked';}?>/><span>Positivos</span> <br/>
<input type="checkbox" id="fcero" name="fcero" <?php if($xfcero=='true'){echo 'checked';}?>/><span>Cancelados</span> <br/>
<input type="checkbox" id="fnega" name="fnega" <?php if($xfnega=='true'){echo 'checked';}?>/><span>Negativos</span> <br/>
</div>
</th>

<th>
<th style ="border-left:solid 1px;">
<div align="center">
<span>REPORTE</span>
</div>
<div>
<input type="radio" id="frepom" name="frepor" <?php if($xfrepo=='S'){echo 'checked';}?>/><span>Saldos</span> <br/>
<input type="radio" id="frepor" name="frepor" <?php if($xfrepo=='R'){echo 'checked';}?>/><span>Resumen</span> <br/>
<input type="radio" id="frepoa" name="frepor" <?php if($xfrepo=='A'){echo 'checked';}?>/><span>Antiguedad</span> <br/>
</div>
</th>

	
	
<th>
<th style ="border-left:solid 1px;">
<div align="center">
<span>ORDENADO X</span>
</div>
<div>
<input type="radio" id="forden" name="forder" <?php if($xforde=='N'){echo 'checked';}?>/><span>Nombre</span> <br/>
<input type="radio" id="fordec" name="forder" <?php if($xforde=='C'){echo 'checked';}?>/><span>Codigo</span> <br/>
<input type="radio" id="fordet" name="forder" <?php if($xforde=='T'){echo 'checked';}?>/><span>Totales</span> <br/>
<input type="hidden" id="fordev" name="forder" <?php if($xforde=='V'){echo 'checked';}?>/><span></spvean> <br/>
</div>
</th>


<!-- <th> -->
<th style ="border-left:solid 1px;">
<table><caption>FILTROS</caption>	
<tr>
	<?php $pcaption='PROVEEDOR'; $ptabla='enti'; $pidtxt='fenti'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
	<?php $pcaption='T.PROV'; $ptabla='tpro'; $pidtxt='ftpro'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
	<?php $pcaption='CIUDAD'; $ptabla='cdad'; $pidtxt='fcdad'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
	</table>	
	
</th>

</th>


<th align="center" style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();"; include('vrbutton.php'); ?>
<?php $pcaption='Imprimir';  $ponclick="imprimirlista('');"; include('vrbutton.php'); ?>
<!-- <div>
<input type="button" value="Consultar" onclick="redireccionar();"  />
</div>
<br>
<div>
<input type="button" value="Imprimir" onclick="imprimirlista();"  />
</div> -->
</th>

</tr>
</table>
</div>

<hr/>



<div id="cxppro1" style="overflow-y:scroll; height:300px;"></div>

<br>
<div id="cxppro2"></div>

<div id="lista_temporal_contenedor" style=" display:none; padding:0px; margin:0px; background: #666; opacity:0.5; width:100%; min-height: 100%; height:auto !important;position: fixed;top:0;left:0; z-index:1;" ></div>
<div id="lista_cargador" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10;" ><img src="../img/ajax-loader.gif" /></div>    
<div id="lista_temporal" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10; overflow-y:scroll; min-height:50px; max-height:400px; width:100%;" ><img src="../img/ajax-loader.gif" /></div>    





<?php }?>